RequiredValidation does not work with p:selectOneListbox

Components, Ajax Framework, Utilities and More.
Post Reply
cilius
Posts: 9
Joined: 05 Jan 2011, 15:59

28 Nov 2011, 12:08

It seems required validation does not work for p:selectOneListbox in 3.0.M4:

Code: Select all

<p:selectOneListbox required="true" value="#{myBean.property}">
	<f:selectItems value="#{myBean.selectItems}" />
</p:selectOneListbox>
But it works for vanilla jsf tags:

Code: Select all

<h:selectOneListbox required="true" value="#{myBean.property}">
	<f:selectItems value="#{myBean.selectItems}" />
</h:selectOneListbox>
PrimeFaces 3.2.RC1, Mojarra 2.1.4, JBoss EAP 5.1

Post Reply
  • Information
  • Who is online

    Users browsing this forum: Bing [Bot], siragott and 12 guests